Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.util
Class LazyMap<K,V>

    java.lang.Object
      org.jboss.portal.common.util.LazyMap<K,V>

All Implemented Interfaces:
  java.util.Map<K,V>

    public class LazyMap<K,V>

extends java.lang.Object
implements java.util.Map<K,V>

Version:
  $Revision: 5451 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`LazyMap(MapAccessor<K,V> delegate)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Set<java.util.Map.Entry<K,V>>` | `entrySet()`
`boolean` | `equals(java.lang.Object o)`
`V` | `get(java.lang.Object key)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`boolean` | `isModified()`
`java.util.Set<K>` | `keySet()`
`V` | `put(K key, V value)`
`void` | `putAll(java.util.Map<? extends K,? extends V> t)`
`V` | `remove(java.lang.Object key)`
`int` | `size()`
`java.util.Collection<V>` | `values()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LazyMap

    public LazyMap(MapAccessor<K,V> delegate)
            throws java.lang.IllegalArgumentException

Parameters:
  `delegate` - the delegate
Throws:
  `java.lang.IllegalArgumentException` - if the argument is null

Method Detail

### isModified

    public boolean isModified()

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map<K,V>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map<K,V>`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map<K,V>`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map<K,V>`

### get

    public V get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<K,V>`

### put

    public V put(K key,
                 V value)

  Specified by:
    `put` in interface `java.util.Map<K,V>`

### remove

    public V remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map<K,V>`

### putAll

    public void putAll(java.util.Map<? extends K,? extends V> t)

  Specified by:
    `putAll` in interface `java.util.Map<K,V>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map<K,V>`

### keySet

    public java.util.Set<K> keySet()

  Specified by:
    `keySet` in interface `java.util.Map<K,V>`

### values

    public java.util.Collection<V> values()

  Specified by:
    `values` in interface `java.util.Map<K,V>`

### entrySet

    public java.util.Set<java.util.Map.Entry<K,V>> entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map<K,V>`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.util.Map<K,V>`
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map<K,V>`
  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.